Skip to main content
GET
/
networks
/
couponcodes
/
{couponCodeId}
Get Coupon Code by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/couponcodes/{couponCodeId} \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/couponcodes/{couponCodeId}"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/couponcodes/{couponCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_coupon_code_id": 3,
  "network_id": 1,
  "network_affiliate_id": 7,
  "network_offer_id": 1,
  "coupon_code": "TESTCC",
  "coupon_status": "active",
  "internal_notes": "",
  "time_created": 1774725303,
  "time_saved": 1774725303,
  "relationship": {},
  "start_date": "",
  "end_date": "",
  "description": "",
  "is_description_plain_text": false,
  "time_deleted": 0
}
Retrieve a single coupon code by its ID. Returns the full coupon code object including associated offer and affiliate IDs, status, dates, and description.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

couponCodeId
integer
required

The ID of the coupon code you want to fetch.

Query Parameters

relationship
enum<string>

Include related entity details in the response. Use offer to include the offer information, or affiliate to include the affiliate information. Can be specified multiple times.

Available options:
offer,
affiliate

Response

200 - application/json
network_coupon_code_id
integer

Unique identifier for this coupon code.

network_id
integer

The ID of the network this coupon code belongs to.

network_affiliate_id
integer

ID of the affiliate for which the coupon applies. A coupon code without an affiliate specified can exist but cannot be used.

network_offer_id
integer

ID of the offer for which the coupon applies.

coupon_code
string

Coupon code value.

coupon_status
enum<string>

Status of the coupon code. Can be one of the following values: active or paused.

Available options:
active,
paused
internal_notes
string

Notes for internal usage -- they will not be visible to the partner.

description
string

A description (either plain text or HTML) that will be visible to the partner.

is_description_plain_text
boolean

Only relevant when a description is provided. Determines if the description is in HTML or plain text format.

start_date
string

An optional date starting at which the coupon code can be used. Uses the YYYY-MM-DD format.

end_date
string

An optional date at which the coupon code becomes obsolete. Uses the YYYY-MM-DD format.

time_created
integer

Unix timestamp of when the coupon code was created.

Example:

1734455015

time_saved
integer

Unix timestamp of when the coupon code was last updated.

Example:

1734455015

time_deleted
integer

Unix timestamp of when the coupon code was deleted. 0 if not deleted.

Example:

0

relationship
object

Related resources. Populated when the relationship query parameter is provided.